> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee Deduction Template

> Update fields on an existing employee deduction template by deductionTemplateID.

Updates an existing Employee Deduction Template. Returns the updated [Employee Deduction Template](/reference/employee-deduction-templates/get-employee-deduction-template) object.


## OpenAPI

````yaml openapi/zeal-api.json patch /employee-deduction-templates/{deductionTemplateID}
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employee-deduction-templates/{deductionTemplateID}:
    patch:
      description: Updates an existing Employee Deduction Template.
      parameters:
        - name: deductionTemplateID
          in: path
          description: ID of this template
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{32}$
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                deductionTemplateID:
                  type: string
                  description: ID of the template to update
                custom_name:
                  type: string
                  description: Human-readable name for the deduction template
                effective_start_date:
                  type: string
                  description: Date the template should start become effective
                  format: date
                effective_end_date:
                  type: string
                  description: Date the template should become ineffective
                  format: date
                employee_contribution_amount:
                  type: number
                  description: >-
                    Default dollar amount to be contributed by the employee for
                    deductions
                employee_contribution_percentage:
                  type: number
                  description: >-
                    Default percentage of employee's pay to be contributed by
                    the employee for deductions
                employer_contribution_amount:
                  type: number
                  description: >-
                    Default dollar amount to be contributed by the employer for
                    deductions
                employer_contribution_percentage:
                  type: number
                  description: >-
                    Default percentage of employee's pay to be contributed by
                    the employer for deductions
                hsa_type:
                  type: string
                  description: Contribution limit type for the template (HSA only)
                  enum:
                    - family
                    - individual
                agency_address:
                  type: string
                  description: Name of the agency for a court order (Garnishment only)
                agency_name:
                  type: string
                  description: Address of the agency for a court order (Garnishment only)
                case_id:
                  type: string
                  description: Case ID of a court order (Garnishment only)
                order_number:
                  type: string
                  description: Order number of a court order (Garnishment only)
                external_id:
                  type: string
                  description: ID in an external system related to the template
              required: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    description: The updated Employee Deduction Template object
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````